#### Description:

This function looks for corresponding axes within two supplied Frames. An array of integers is returned that contains an element for each axis in the second supplied Frame. An element in this array will be set to zero if the associated axis within the second Frame has no corresponding axis within the first Frame. Otherwise, it will be set to the index (a non-zero positive integer) of the corresponding axis within the first supplied Frame.

#### Synopsis

void astMatchAxes( AstFrame ∗frm1, AstFrame ∗frm2, int ∗axes )

#### Parameters:

##### frm1

Pointer to the first Frame.

##### frm2

Pointer to the second Frame.

##### axes

Pointer to an integer array in which to return the indices of the axes (within the first Frame) that correspond to each axis within the second Frame. Axis indices start at 1. A value of zero will be stored in the returned array for each axis in the second Frame that has no corresponding axis in the first Frame.

The number of elements in this array must be greater than or equal to the number of axes in the second Frame.

#### Applicability

##### Frame

This function applies to all Frames.

#### Notes:

- Corresponding axes are identified by the fact that a Mapping can be found between them using astFindFrame or astConvert. Thus, `"` corresponding axes`"` are not necessarily identical. For instance, SkyFrame axes in two Frames will match even if they describe different celestial coordinate systems

Copyright (C) 2021 East Asian Observatory